Bug 169303 - Nautilus bogs down system after resizing window
Nautilus bogs down system after resizing window
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-26 15:32 EDT by stuart_k_rogers
Modified: 2015-03-03 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 10:45:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stuart_k_rogers 2005-09-26 15:32:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
On numerous occasions during past weeks, I've had to kill nautilus because it transitioned into a state where it bogged down the system.  The "top" utility showed it was using most of the CPU.  I recently narrowed the events leading up to this to something specific.  It occurs when I resize a nautilus window of image previews using the lower-right corner to drag the frame.  On the other hand, if I drag only the right edge and the bottom edge separately instead of using the corner to drag, this problem does not occur.

I would guess that the code that reorganizes the preview image layouts within the window is getting confused and stuck in some kind of loop.

Version-Release number of selected component (if applicable):
nautilus-2.8.1-4

How reproducible:
Sometimes

Steps to Reproduce:
1. Create new folder with 12 bmp files.
2. Open folder.
3. Drag lower right corner to expand window to fill full screen width (1280)
  

Actual Results:  The window resized OK, but the system became sluggish.  Found other nautilus windows unresponsive.

Expected Results:  Resize without using all of CPU.

Additional info:
Comment 1 Matthew Miller 2006-07-10 19:19:32 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 petrosyan 2008-02-12 10:45:22 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.